<?php

namespace STM\Helpers;

use \Exception;

/**
 * Test class for Event.
 * Generated by PHPUnit on 2011-09-01 at 09:42:21.
 * @group helpers
 */
class EventTest extends \PHPUnit_Framework_TestCase {

    private $bad_values;
    private $invalid_instances;

    protected function setUp() {
        $this->bad_values = array(null, false, array(), new Exception());
        $this->invalid_instances = array();
        foreach ($this->bad_values as $value) {
            $this->invalid_instances[] = new Event($value, $value);
        }
    }

    protected function tearDown() {}

    public function testSet_message() {
        $this->markTestIncomplete('Cannot test it directly, but I used it in testlogEvent()');
    }

    public function testLog_event() {
        // no set message -> fail
        foreach ($this->invalid_instances as $instance) {
            $this->assertFalse($instance->logEvent());
        }

        // set message, but event is not constant from class, so fail        
        foreach ($this->invalid_instances as $instance) {
            foreach ($this->bad_values as $value) {
                $instance->setMessage($value, $value, $value);
                $this->assertFalse($instance->logEvent());
            }
        }
    }

    public function test__toString() {
        foreach ($this->invalid_instances as $instance) {
            $this->assertTrue(is_string(strstr($instance->__toString(), 'Unspecified event')));
        }        
    }

}

?>
